io.undertow.client

## Class ClientResponse

- java.lang.Object
- - io.undertow.util.AbstractAttachable
  - - io.undertow.client.ClientResponse

All Implemented Interfaces:
  Attachable

    public final class ClientResponse
    extends AbstractAttachable

A client response. This just contains the parsed response header, the response body can be read from the `ClientExchange`.

Author:
  Stuart Douglas

### Constructor Summary

Constructors
Constructor and Description
`ClientResponse(int responseCode, String status, HttpString protocol)`
`ClientResponse(int responseCode, String status, HttpString protocol, HeaderMap headers)`

### Method Summary

All Methods Instance Methods Concrete Methods
`HttpString` `getProtocol()`
`int` `getResponseCode()`
`HeaderMap` `getResponseHeaders()`
`String` `getStatus()`
`String` `toString()`

### Methods inherited from class io.undertow.util.AbstractAttachable

`addToAttachmentList, createAttachmentMap, getAttachment, getAttachmentList, putAttachment, removeAttachment`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ClientResponse

    public ClientResponse(int responseCode,
                          String status,
                          HttpString protocol)

#### ClientResponse

    public ClientResponse(int responseCode,
                          String status,
                          HttpString protocol,
                          HeaderMap headers)

### Method Detail

#### getResponseHeaders

    public HeaderMap getResponseHeaders()

#### getProtocol

    public HttpString getProtocol()

#### getResponseCode

    public int getResponseCode()

#### getStatus

    public String getStatus()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`